%define shortname skulpture

Name: kde4-style-%{shortname} 
Summary: Skulpture Theme for KDE4
Version: 0.1.3
Release: %mkrel 3
Source0: %{shortname}-%{version}.tar.bz2
Patch0: skulpture-0.1.3-kdeplugin-cmake.patch
URL: http://www.kde-look.org/content/show.php/Skulpture?content=59031
Group: Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPL 
BuildRequires: kdelibs4-devel
BuildRequires: kdebase4-workspace-devel

%description
Skulpture theme for KDE 4

%files 
%{_kde_libdir}/kde4/kstyle_skulpture_config.so
%{_kde_libdir}/kde4/kwin3_skulpture.so
%{_kde_libdir}/kde4/kwin_skulpture_config.so
%{_kde_appsdir}/color-schemes/
%{_kde_appsdir}/kstyle/themes/
%{_kde_appsdir}/kwin/
%{_kde_plugindir}/styles/*

#--------------------------------------------------------------------------------

%prep 
%setup -q -n %shortname-%version
%patch0 -p1

%build 
%cmake_kde4 
%make

%install
rm -rf $RPM_BUILD_ROOT
pushd build
%makeinstall_std
popd

%clean 
rm -rf $RPM_BUILD_ROOT 




%changelog
* Fri Jul 04 2008 Helio Chissini de Castro <helio@mandriva.com> 0.1.3-3mdv2009.0
+ Revision: 231721
- Patch for install in proper kde4 plugindir

* Fri Jul 04 2008 Funda Wang <fundawang@mandriva.org> 0.1.3-2mdv2009.0
+ Revision: 231544
- fix url

* Thu Jul 03 2008 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.1.3-1mdv2009.0
+ Revision: 231217
- Using qt4plugins macro instead of qt4dir.
- Upgraded to version 0.1.3.
- Updated the correct install dir or libskulpture.so.
- Removed kwin_qtcurve_config.so commented line.

* Fri May 16 2008 Rodrigo Gonçalves de Oliveira <rodrigo@mandriva.com> 0.1.2-1mdv2009.0
+ Revision: 208122
- import kde4-style-skulpture


